<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('about_settings', function (Blueprint $table) {
            $table->id();
            $table->string('section1_title')->nullable();
            $table->text('section1_content')->nullable();
            $table->string('section1_title_en')->nullable();
            $table->text('section1_content_en')->nullable();
            $table->string('section1_image')->nullable();
            $table->text('content_1')->nullable();
            $table->text('content_1_en')->nullable();
            $table->text('content_2')->nullable();
            $table->text('content_2_en')->nullable();
            $table->text('content_3')->nullable();
            $table->text('content_3_en')->nullable();
            $table->text('content_4')->nullable();
            $table->text('content_4_en')->nullable();
            $table->text('content_5')->nullable();
            $table->text('content_5_en')->nullable();
            $table->text('content_6')->nullable();
            $table->text('content_6_en')->nullable();
            $table->text('content_7')->nullable();
            $table->text('content_7_en')->nullable();

            $table->string('section2_title')->nullable();
            $table->string('section2_subtitle')->nullable();
            $table->string('section2_title_en')->nullable();
            $table->string('section2_subtitle_en')->nullable();
            $table->string('section2_image')->nullable();
            $table->text('section2_content')->nullable();
            $table->text('section2_content_en')->nullable();

            $table->string('section3_title')->nullable();
            $table->text('section3_content')->nullable();
            $table->string('section3_title_en')->nullable();
            $table->text('section3_content_en')->nullable();
            $table->string('section3_image1')->nullable();
            $table->string('section3_image2')->nullable();

            $table->string('section4_title')->nullable();
            $table->text('section4_content')->nullable();
            $table->string('section4_title_en')->nullable();
            $table->text('section4_content_en')->nullable();
            $table->string('section4_image')->nullable();

            $table->string('section5_title')->nullable();
            $table->string('section5_subtitle')->nullable();
            $table->string('section5_title_en')->nullable();
            $table->string('section5_subtitle_en')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('about_settings');
    }
};
